AutoCAD Inventor :: Create A Square Aztec Pattern?
Feb 5, 2013
I am currentrly trying to pattern a series of square holes that form a simple aztec pattern (attached). I am planning to fill the holes with black dye/paint in order to represent the aztec pattern (hence the holes need to only be about 5mm deep.
The pattern itself should be about 2cm*2cm.Is there a way to use an image such as the one attached and make it automatically translate that into holes, or do I have to draw it all manually? If I do have to do it manually, c how to create square holes?
I am able to extract an flat pattern (for round to square) but not exactly as the customers drawing.
The original drawing shows some relief in bending lines which i am not able to add in inventor. after a glance at the attachments you will clearly understand what i want.
Is it possible to take a feature created by a pattern and reuse it to create another pattern? I have a circular part on which I have created a linear pattern (using the rectangular pattern feature) of holes, 6 in total listed as 3 ccurrences. if we number the holes 1-6, I would like to make a circular pattern based off holes 2 and 5. I have been unable to figure out how to select the individual "occurrence" related to the hole once in the pattern feature. If I create the circular pattern first and then the linear and try to suppress the others it supresses both holes in the occurrence.
what ive been trying to do is make a helix that sweeps around a rectangular prism i was able to make it in solid works but i cant find a way to do it in inventor.
Let me start by saying that we rarely use sheet metal parts so I'm not real familiar with that interface. That said, I can create sheet metal parts with square shapes and bends just fine. However, I'm currently stumped as to the best way to model what should be a pretty simple plate.
We have a large, thin (1/8") square plate to which we want to add 2 opposing diagonal very slight breaks to add stiffness to the plate. More specifically, we want these diagonal bends to cover the center part of the plate leaving about a 2" flat flange all the way around the plate.
Is there a way to create asymmetric pattern, both circular and rectangular, in assembly environment. For example, I have a component which I want to circular pattern at different angles rather than fixed angles. Let's say 3 components around the circular pole- angle between 1 &2 - 175deg, angle between 1 & 3 (in same direction) 265deg. I understand that this will violate the definition of pattern but would be nice to have such feature. If I am not mistaken, Solidworks has that ability to do asymmetric pattern which I have used years ago.
I want to creat a flatpattern of an iregulary cut cylinder that was made in the standard .ipt world and is now converted into a sheetmetal. I want to "Unroll" the piece out so can see the shape of it as a flat piece. Picture of it is attached.
I created a 12-sided polygon shape in the sketch mode. I created one line, fully constrained it and then used the circular pattern to finish the shape. Why can't I extrude the shape?
I have attached the file. It's a pretty basic shape. I don't understand why it wouldn't work...
I can't get Inventor to create a flat pattern of the attached sheetmetal part. It's a pretty basic part, just five folds. I'm not getting any error issues - when I go to the flat pattern it just shows the folded part (picture attached).
I assume it has something to do with the way I folded it and the notches, etc. Inv makes to accomplish the fold. I'm using Inventor 2013 on Win 8.
I'd like to make a rectangluar pattern of a part that is groove welded into a plate. Inside the pattern command I can select the part but not the weld. How to avoid having to do each weld individually?
I need a code to generate the Flat Pattern in VBA.
I made an app who sets the specific material and I would like to unfold the folded part at the same time.
I tried this code, but not works:
Dim partDoc As PartDocument Dim sheetMetalDef As SheetMetalComponentDefinition If (Not sheetMetalDef.HasFlatPattern()) Then sheetMetalDef.Unfold End If
How to create a Circular Pattern of the Solid Object by VBA. I tried it by calculation Polar Transformations but was unsuccessful.
Then Rotated the complete Solid Object which changed original location. Is there any way i can Change the Angle and Mirror instead of Making circular pattern.
I recently switched to Inventor 2012 from a previous version. I cannot find the create flat pattern command. Some of my coworkers were able to customize their RMB menu to have this command, but I am not even able to do that! (They don't have the command on the ribbon, either.)
To increase the speed of production, I like to generate idws of flat patterns from assembly. The following iLogic rule work fine inside a metal sheet (I had to create flat pattern before run this rule).
Imports Inventor.ViewOrientationTypeEnumImports Inventor.DrawingViewStyleEnumDim oDrawingDoc As DrawingDocumentDim oPartDoc As DocumentDim oSheet As sheetDim oTG As TransientGeometryDim oView1 As DrawingViewDim oOptions As NameValueMapoPartDoc [Code] ........
But from an assembly there are some problem ( firstable I'm not an expert of vba and ilogic) Imports Inventor.ViewOrientationTypeEnumImports Inventor.DrawingViewStyleEnumfmgr = ThisApplication.FilemanagerFor Each file In fmgr.filesdoc = ThisApplication.Documents.ItemByName (file.fullfileName)compdef = doc.ComponentDefinition' For each assembly or subassembly'If (doc.documenttype = 12291) Then For Each occ In compdef.Occurrences' For sheet metal or part [Code] ........
I have created a round end cap with a flange for a tank. (Please see attached picture) We have a flanging machine that rolls the edges on round flat pieces of sheet metal. The issue is that no matter how I create this rolled flange in the model, I cannot get a flat pattern out of this.
We need to know the size of the blank before rolling the lip on it and I have tried using the contour flange and it doesn't work, I have tried revolving in sheet metal and it still will not create a round flat pattern. It seems that no matter what I do, it will not produce a round flat pattern. Is this something that can be done in inventor or am I just trying to do something that inventor is not yet capable of doing?
I want to create a hole approx 586x586mm. But every time i try inventor respond with "The attempted operation did not produce a meaningful result" If i do a slightly smaller hole it will work, but that is not what i want...
Imagine a flat, rectangular plate with origin plains located symmetrically down the middle of the plate. Place a component, say a small cube, and constrain it to the face of the plate and the origin planes so that it too is symmetrically located. I now wish to pattern this cube about the midplane and create a total of five instances. I select "Pattern Component" in assembly mode and select the cube. For direction 1, I put in two instances and select an edge of the plate so that the pattern is taken to the left of the midplane. For direction 2, I again select two instances but pick an edge so that the pattern is taken to the right of the midplane. I now should have a total of 5 cubes but I don't. I have 6.
The second pattern is actually a repeating pattern of the first which, in the end, creates too many cubes. Visually, it looks correct because the cubes are placed excatly on top of each other. Numercially, like in BOMS, it is not correct.
my create a circular pattern in an assembly that maintains the orientation of the part being patterned.
This is for foundation plates. There are 3 plates. The plates are square, and have bolt holes in the corners of the plates. Since there are 3 plates and its going around a circle, the angle between the plates is 120 degrees.
Now, Ive been trying this for some time now and what is happening is the firs plate is fine, but then the second and third plate are rotated around their center axis. I would like it to simply remain as inserted and constrained within the assembly.
I have attached a picture to be more clear about what I want and what I'm currently getting.
I would like to know how to draw segment elbow 90 degrees ( segments are not equal ) and create Flat Pattern for each of the segments - using sheetmetal in Autodesk Inventor?
I'm attempting to create a mini version of a product, I use the Derived Component button and scale the part down. Then I use Convert to Sheet Metal, set my sheet metal defaults, but then nothing happens when i try to create flat pattern. Is it even possible to derive a flat pattern from a scaled part?
The company I work for has a large number of Left Hand and Right Hand sheet metal parts. To reduce the amount of time needed to create both Left Hand and Right Hand sheet metal parts, I use the Derived Part icon. I create a Left Hand part, use the derive icon with mirroring on and create the Right Hand part. While the Right Hand sheet metal part gets created, the Right Hand part will not allow me to create a Flat Pattern.
what steps must I follow to create a derived sheet metal part that I can make a Flat Pattern with?
I played with the feature a bit and understand how to create the patterns. Problem is when I go to fill in my 12x12 space there are seams. I have chosen different sizes in the pattern window but all show up with seams when I fill the larger space. Am I doing something wrong or is the largest size you can create with this tool seamlessly only 9x9?
I have a pretty basic knowledge of Photoshop and I am trying to change fabrics on curtains I have managed to do this but now I am trying to use pattern maker to create a tiled pattern with a fabric so it repeats correctly I have worked out how to start this off but every time I generate a pattern and tile it it becomes distorted I have tried increasing the sample detail but this just seems to distort it more.